## randomplay 0.60+pristine

=== Makefile ===
PREFIX=/usr
INSTALL=/usr/bin/install
BINDIR=$(DESTDIR)$(PREFIX)/bin
MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/randomplay

none: 

man: randomplay 
	pod2man randomplay > randomplay.1

install: randomplay randomplay.1 changelog.gz README TODO randomplayrc
	$(INSTALL) -d $(BINDIR) $(MANDIR) $(DOCDIR)
	$(INSTALL) -m 755 randomplay $(BINDIR)
	$(INSTALL) -m 644 randomplay.1 $(MANDIR)
	$(INSTALL) -m 644 changelog.gz README TODO randomplayrc $(DOCDIR)

uninstall:
	rm $(BINDIR)/randomplay
	rm $(MANDIR)/randomplay.1
	rm -r $(DOCDIR)

all: man install

clean: randomplay.1
	rm randomplay.1

none: man
	@echo "Now run make install to install randomplay."
