## randomplay 0.49

=== debian/changelog ===
randomplay (0.49) unstable; urgency=low

  * Add support for toggle "pause" key, default 'p'. Thanks to Simon Hart for
    the patch. 
  * Add support for enabling/disabling UTF-8 output in MP3 tags, for people
    who don't have UTF-8 xterm. Thanks to Gregor Herrmann for the patch.
    (Closes: #337783).
  * Add new keystroke to list available keystrokes while playing, default '?'
    or 'h'.  
  * Improved sample randomplayrc with more comments and options. You can use
    the sample randomplayrc as a template for all settings.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Wed, 23 Nov 2005 21:21:40 -0500

randomplay (0.48) unstable; urgency=low

  * When advancing tracks, kill not just children of player program, but
    all spawned processes. Thanks to Christopher Zimmermann for the
    patch. (Closes: #335592).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 30 Oct 2005 08:38:19 -0500

randomplay (0.47) unstable; urgency=low

  * Display track information with an announcement program -- default is xosd.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Thu,  1 Sep 2005 11:36:09 -0400

randomplay (0.46-1) unstable; urgency=low

  * If a specified player is not available, just don't play files of that
    type, rather than halt program all together (except if no players are
    available).
  * Update documentation.
  * Remove sound-recorder recommendation; if you want to play anything other
    than mp3 and ogg files, you should choose the players you prefer.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun,  5 Sep 2004 10:06:57 -0400

randomplay (0.45-1) unstable; urgency=low

  * Remove WAV file player from defaults; most people don't include WAVs in
    their music collections (I think!) and this way randomplay will start in
    the default configuration even if you don't have sound-recorder installed.
    (Closes: #269541).
  * Fix bug where only alphabetical (rather than alphanumeric) extensions
    could be configured in .randomplayrc; now you can define a player for mp3
    files. (Closes: #269540).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Wed,  1 Sep 2004 21:46:25 -0400

randomplay (0.44-1) unstable; urgency=low

  * Rewrite option processing to eliminate unnecessary variables (i.e.,
    "$norandom") thanks to Long::Getopt "negate!" option.
  * Reorganize options on manpage into sensible groups.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Tue, 24 Aug 2004 20:31:03 -0400

randomplay (0.43-2) unstable; urgency=low

  * Another failed upload, sorry for the version bloat!

 -- Adam Kessel <ajkessel@debian.org>  Mon, 23 Aug 2004 20:54:04 -0400

randomplay (0.43-1) unstable; urgency=low

  * Remove spurious "players" debug message on startup.

 -- Adam Kessel <ajkessel@debian.org>  Mon, 23 Aug 2004 14:46:42 -0400

randomplay (0.42-2) unstable; urgency=low

  * Failed upload again.

 -- Adam Kessel <ajkessel@debian.org>  Fri, 20 Aug 2004 15:42:37 -0400

randomplay (0.42-1) unstable; urgency=low

  * Fix errors in sample randomplayrc.
  * Add more flexibility to randomplayrc interpretation; can add arbitrary
    whitespaces anywhere without harm, and make ( [ { interchangeable.
  * Check to make sure base directory exists, if specified.
  * Keystrokes are now user-definable at command line or in ~/.randomplayrc.
  * Should look for files with mp3 extension, not mpg extension.
  * Update documentation.

 -- Adam Kessel <ajkessel@debian.org>  Fri, 20 Aug 2004 11:50:15 -0400

randomplay (0.41-3) unstable; urgency=low

  * One more upload.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 20:38:29 -0400

randomplay (0.41-2) unstable; urgency=low

  * Failed upload, trying again.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 20:35:22 -0400

randomplay (0.41-1) unstable; urgency=low

  * Should not be native package; fixed versioning.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 19:18:32 -0400

randomplay (0.40-2) unstable; urgency=low

  * Fixed some minor linda/lintian warnings.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 18:56:18 -0400

randomplay (0.40-1) unstable; urgency=low

  * Initial Debian release.  (Closes: #266919).

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 16:46:01 -0400

randomplay (0.39-1) unstable; urgency=low

  * New random weighting functionality: hit + or - while a song is playing to
    increase or decrease its probability of being played in future random
    shuffles, or 0 or = to reset preference.
  * Improved randomization algorithm: should really be random now.
  * New switch --weight/--noweight to specify whether or not to use random
    weighting.
  * New switch --verbose; if not specified then output from music player
    programs is suppressed.
  * New behavior for --quiet: if specified, randomplay will not report the
    name of each song as it is played.
  * Removed --altcancel option; it is no longer necessary now that you can
    advance songs or cancel randomplay with keystrokes.
  * Display track metadata before each track is played if available; otherwise
    display filename.
  * Updated manpage for new options and keystrokes while song is playing
  * Improved documentation; include README, TODO, and sample randomplayrc,
    fixed some erroneous references in Debian documentation.
  * Fixed makefile so it works without dpkg-buildpackage.
  * Fixed a bunch of warnings that appear when perl -w is used.
  * Added option to quit after the current playing song is done (default key
    'l').
  * Can now process arbitrary filename extensions, either at command line or
    in ~/.randomplayrc, so could potentially be used for activities other than
    playing music.
  * Implement hack to kill children processes when randomplay is run from
    shell script; this will likely limit randomplay's portability.
  * Check that players are in path and executable before playing.
  * Add in several more error/sanity checks for file permissions.

 -- Adam Kessel <ajkessel@debian.org>  Thu, 19 Aug 2004 12:41:23 -0400

