## randomplay 0.52

=== debian/changelog ===
randomplay (0.52) unstable; urgency=low

  * Fix typo in sample randomplayrc for new 'back key' feature.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 19 Mar 2006 14:33:57 -0500

randomplay (0.51) unstable; urgency=low

  * Change architecture to all. (Closes: #357050).
  * New feature: keybinding to go backward through previously played songs
    during session. Default key is 'b'. (Closes: #351295).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Thu, 16 Mar 2006 10:44:24 -0500

randomplay (0.50) unstable; urgency=low

  * Show weight of current song when playing (thanks again to Gregor
    Herrmann). (Closes: #351289).

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Tue,  7 Feb 2006 20:48:38 -0500
