=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: randomplay
 Section: sound
-Architecture: any
+Architecture: all
 Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-perl
 Recommends: vorbis-tools, mpg321
 Suggests: xosd-bin
