## randomplay 0.60

=== debian/changelog ===
randomplay (0.60) unstable; urgency=low

  * New options --older-than and --newer-than, to only play files whose
    modification times are respectively older or newer than given date or time
    interval (e.g., --newer-than 1Y = files newer than one year old).
  * Allow alternative forms of expressing 'last played by' date for --days
    option as with --older-than and --newer-than.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 15 Oct 2006 13:09:06 -0400

randomplay (0.53) unstable; urgency=low

  * Update contact name/address and copyright dates in documentation.

 -- Adam Rosi-Kessel <ajkessel@debian.org>  Sun, 19 Mar 2006 14:52:04 -0500
