=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Adam Rosi-Kessel <ajkessel@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: randomplay
 Section: sound
 Architecture: all
-Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-perl
+Depends: ${perl:Depends}, libdate-calc-perl, libterm-readkey-perl, libmp3-info-perl, libogg-vorbis-header-perl, libdate-manip-perl
 Recommends: vorbis-tools, mpg321
 Suggests: xosd-bin
 Description: command-line based shuffle music player that remembers songs between sessions
