## randomplay 0.60%2Bnmu1

=== debian/changelog ===
randomplay (0.60+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Use Ogg::Vorbis::Header::PurePerl instead of Ogg::Vorbis::Header.
    (Closes: #655410)

 -- Tim Retout <diocles@debian.org>  Mon, 09 Apr 2012 21:21:41 +0100
