## randomplay 0.60%2Bpristine

=== debian/control ===
Source: randomplay
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (=13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/randomplay
Vcs-Git: https://salsa.debian.org/debian/randomplay.git

Package: randomplay
Architecture: all
Depends: libdate-calc-perl,
         libdate-manip-perl,
         libmp3-info-perl,
         libogg-vorbis-header-pureperl-perl,
         libterm-readkey-perl,
         ${misc:Depends},
         ${perl:Depends},
Recommends: mpg123,
            vorbis-tools,
Suggests: xosd-bin,
Description: command-line based shuffle music player that remembers songs between sessions
 Randomplay plays your music collection (or execute any arbitrary commands on
 any arbitrary filetypes) in random order, remembering songs played across
 sessions. It also has many features to make command-line music playing more
 convenient, including recursive regexp searching for tracks and the ability to
 specify a certain number of tracks, bytes, or minutes to play.  Randomplay
 will also generate a list of music files to be loaded onto a portable music
 player device.  It includes a 'random weighting' feature, so your favorite
 songs are more likely to come up in the random shuffle.
 .
 Randomplay is a convenient tool for the user who does everything in an xterm
 window or console and is constantly devising complex find/grep/sed command
 lines to play just the right set of songs.
