## randomplay 0.60+pristine

=== debian/changelog ===
randomplay (0.60+pristine-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:15:48 +0200

randomplay (0.60+pristine-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
    Cf. #739017
  * Fix "FTBFS with dpkg-buildpackage -A: dpkg-genchanges: error: binary
    build with no binary artifacts found; cannot distribute":
    switch to dh(1).
    (Closes: #831934)
  * Declare compliance with Debian Policy 3.9.8.
  * Drop duplicate Section from binary package stanza in debian/control.
  * Add ${misc:Depends} to Depends in debian/control.
  * Refer to GPL-2 file in debian/copyright.
  * Convert to non-native package: download original upstream tarball, invent
    +pristine version, add debian/source/format, split out source changes from
    #655410 into a patch.
  * wrap-and-sort debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Jul 2016 23:20:03 +0200

randomplay (0.60+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Removal of debhelper compat 4": switch to debhelper compat level 9
    (Closes: #817647)

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Jun 2016 11:50:00 +0200
