=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	# make clean fails if randomplay.1 doesn't exist
	# replace it with a simple $(RM)
	$(RM) -v $(CURDIR)/randomplay.1
